#pragma once
#include "../Screen.h"



class ScreenManager
{
public:
	static ScreenManager* GetInstance();

	void OpenScreen(Screen* screen);
	void CloseScreen();

	Screen* GetCurrentScreen() { return m_currentScreen; }	
	
	static ScreenManager* m_pInstance;


	static Screen* Fuel;
	static Screen* SellScreen;
private:
	ScreenManager() = default;

	void InitializeScreens();
	
	bool m_IsScreenOpen{ false };
	Screen* m_currentScreen;

	bool m_AreScreensInitialized{ false };
	
};